Gtk2::CellRendererSpinner(3)

NAME
Gtk2::CellRendererSpinner

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererSpinner

METHODS

  cellrenderer = Gtk2::CellRendererSpinner->new

PROPERTIES

'active' (boolean : default false : readable / writable)
    Whether the spinner is active (ie. shown) in the cell

'pulse' (Glib::UInt : default 0 : readable / writable)
    Pulse of the spinner

'size' (Gtk2::IconSize : default "menu" : readable / writable)
    The GtkIconSize value that specifies the size of the rendered spinner

ENUMS AND FLAGS

  enum Gtk2::IconSize

•   'invalid' / 'GTK_ICON_SIZE_INVALID'

•   'menu' / 'GTK_ICON_SIZE_MENU'

•   'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

•   'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

•   'button' / 'GTK_ICON_SIZE_BUTTON'

•   'dnd' / 'GTK_ICON_SIZE_DND'

•   'dialog' / 'GTK_ICON_SIZE_DIALOG'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.